## majava-keyring 7

=== Makefile ===
DEFAULT: clean build


clean:
	rm -rf wkd
.PHONY: clean


wkd:
	bin/gen-wkd


build: wkd

## majava-keyring 5

=== debian/changelog ===
majava-keyring (5) bookworm-majava trixie-majava forky-majava; urgency=medium

  * [e168e5b] Add new signatures
  * [acd3e27] Update email address

 -- Taavi Väänänen <taavi@majava.org>  Sat, 04 Oct 2025 15:47:38 +0300

majava-keyring (4) bookworm-majava trixie-majava; urgency=medium

  * [a4a755a] Remove taavi-apt key
  * [da923e4] Update taavi-main
  * [87796c1] Set id-length in gbp.conf

 -- Taavi Väänänen <taavi@debian.org>  Mon, 05 May 2025 19:55:28 +0300

majava-keyring (3) bookworm-majava trixie-majava; urgency=medium

  * Rename package to majava-keyring.
  * Add key for apt.majava.org.
  * Update taavi-main key.

 -- Taavi Väänänen <taavi@debian.org>  Sat, 01 Jun 2024 13:42:42 +0200

taavi-keyring (2) unstable; urgency=medium

  * Add the 2023 edition of taavi-apt.
  * Add taavi-main.

 -- Taavi Väänänen <hi@taavi.wtf>  Thu, 22 Jun 2023 13:38:05 +0300

taavi-keyring (1) unstable; urgency=medium

  * Initial release.

 -- Taavi Väänänen <hi@taavi.wtf>  Mon, 19 Dec 2022 21:31:28 +0200

=== debian/control ===
Source: majava-keyring
Section: misc
Priority: optional
Maintainer: Taavi Väänänen <taavi@majava.org>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.0
Homepage: https://admin.majava.org

Package: majava-keyring
Architecture: all
Replaces: taavi-keyring (<< 3~)
Breaks: taavi-keyring (<< 3~)
Depends:
 apt (>= 1.4~beta1),
 ${misc:Depends},
Description: GnuPG archive keys for Majava
 This package contains the GnuPG public keys for apt.majava.org and
 other use cases.

Package: taavi-keyring
Architecture: all
Section: oldlibs
Depends:
 majava-keyring,
 ${misc:Depends},
Description: Transitional package
 This is a transitional package. It can safely be removed.

## majava-keyring 6

=== debian/changelog ===
majava-keyring (6) bookworm-majava trixie-majava forky-majava; urgency=medium

  * [5004fc1] Delete taavi-keyring package
  * [02da37d] Generate WKD files

 -- Taavi Väänänen <taavi@majava.org>  Mon, 27 Oct 2025 23:38:51 +0200

## majava-keyring 7

=== debian/changelog ===
majava-keyring (7) bookworm-majava trixie-majava forky-majava; urgency=medium

  * [47abc5b] Add libera.chat UID
  * [46042c8] Add incr-version script
  * [751c40b] Add build manifest

 -- Taavi Väänänen <taavi@debian.org>  Sun, 30 Nov 2025 22:46:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Taavi Väänänen <taavi@majava.org>
 Build-Depends:
  debhelper-compat (= 13),
+ sq,
 Standards-Version: 4.7.0
 Homepage: https://admin.majava.org
 
@@ -18,11 +19,9 @@
  This package contains the GnuPG public keys for apt.majava.org and
  other use cases.
 
-Package: taavi-keyring
+Package: majava-keyring-wkd
 Architecture: all
-Section: oldlibs
-Depends:
- majava-keyring,
- ${misc:Depends},
-Description: Transitional package
- This is a transitional package. It can safely be removed.
+Depends: ${misc:Depends}
+Description: Web Key Discovery data for Majava public keys
+ This package contains generated Web Key Discovery (WKD) files for
+ majava.org keys.
